package tools.descartes.prisma.core;

import org.eclipse.emf.ecore.EObject;

public interface Transaction extends AutoCloseable {

	public <T extends EObject> T attach(T object);

	public <T extends EObject> T detach(T object);

	public void commit();

	public void rollback();

	public void close();

}
