package tools.descartes.prisma.core;

import static org.fest.assertions.api.Assertions.assertThat;

import org.junit.Before;

public class HypervisorScopeTest extends ContainerScopeTest<HypervisorScope> {

	private static final String NAME = "vsphere";

	@Before
	public void setUp() {
		name = "vsphere";
		repository = new TestModelRepository();
		Scope scope = repository.getScope("hypervisor/" + NAME);
		assertThat(scope).isInstanceOf(HypervisorScope.class);
		scope.create();
		this.scope = (HypervisorScope) scope;
	}

}
