package tools.descartes.prisma.core.templates.resourcetype;

import edu.kit.ipd.descartes.mm.resourcetype.ProcessingResourceType;
import edu.kit.ipd.descartes.mm.resourcetype.ResourceTypeRepository;
import edu.kit.ipd.descartes.mm.resourcetype.ResourcetypeFactory;
import edu.kit.ipd.descartes.mm.resourcetype.ResourcetypePackage;
import tools.descartes.prisma.core.templates.core.NamedElementTemplate;

public class ProcessingResourceTypeTemplate extends NamedElementTemplate<ResourceTypeRepository, ProcessingResourceType> {

	public ProcessingResourceTypeTemplate(String name) {
		super(ResourcetypePackage.Literals.RESOURCE_TYPE_REPOSITORY__RESOURCE_TYPES, ProcessingResourceType.class, name);
	}

	@Override
	protected ProcessingResourceType create(ResourceTypeRepository parent) {
		ProcessingResourceType type = ResourcetypeFactory.eINSTANCE.createProcessingResourceType();
		type.setName(getName());
		return type;
	}

}
